// Copyright © Selmo Technology GmbH. All Rights Reserved

using Microsoft.AspNetCore.Components;

namespace SelmoStudio.Hmi.Server.SelmoHmi.Dialog.Service
{
    public interface IHmiDialogService
    {
        string Id { get; }

        Task OpenDialogAsync<T>(string title, string width, string height, Dictionary<string, object> parameters)
            where T : ComponentBase;

        void CloseDialog();
    }
}